package com.topcoder.web.urlhistory.sort;

import java.util.Comparator;

/**
 * Comparator that is used to sort group statistics by group name.
 * This comparator accepts two GroupStatistics objects and compares
 * the Strings returned by getName().
 */
public class GroupNameSort implements Comparator {

    /**
     * This method expects to receive two GroupStatistics objects.
     * It compares the Strings returned by getName() and returns the
     * result.
     * 
     * @param o1 the first GroupStatistics instance
     * @param o2 the second GroupStatistics instance
     * 
     * @return a negative integer, zero, or a positive integer as the
     * first argument is less than, equal to, or greater than the second. 
     * 
     * @throws ClassCastException if either argument is not a GroupStatistics
     * instance or is null
     */
    public int compare(Object o1, Object o2) throws ClassCastException {
        return 0;
    }

}
